<?php
/*
Rishi Child
*/

function rishi_child_enqueue_styles() {
    
    wp_enqueue_style( 'rishi-style', get_template_directory_uri() . '/style.css' );
    wp_enqueue_style( 'rishi-child-style', get_stylesheet_directory_uri() . '/style.css', array( 'rishi-style' ), '1.0.0' );
   
}
add_action( 'wp_enqueue_scripts', 'rishi_child_enqueue_styles' );

/**
 * Use parent theme setting in child theme without loosing already set options.
 * @link https://core.trac.wordpress.org/ticket/27177#comment:3
*/
if ( get_stylesheet() !== get_template() ) {
    add_filter( 'pre_update_option_theme_mods_' . get_stylesheet(), function ( $value, $old_value ) {
         update_option( 'theme_mods_' . get_template(), $value );
         return $old_value; // prevent update to child theme mods
    }, 10, 2 );
    add_filter( 'pre_option_theme_mods_' . get_stylesheet(), function ( $default ) {
        return get_option( 'theme_mods_' . get_template(), $default );
    } );
}